﻿using System.Collections.ObjectModel;
using NavigationGrid;

using Infragistics.Controls.Grids;
using System.Collections.Generic;
using Infragistics.Controls.Grids.Primitives;

namespace GroupByXamGrid
{
    public partial class MainPage
    {
        List<Row> _selectedRows = new List<Row>();

        public MainPage()
        {
            InitializeComponent();

            var list = new ObservableCollection<Person>();
            for (int i = 0; i < 5; i++)
                list.Add(new Person("PersonName" + i, "PersonSurname" + i, "Ingenieur", "25", "1.77"));

            this.dtgPersons.ItemsSource = list;
        }

        private void dtgPersons_ColumnSorting(object sender, SortingCancellableEventArgs e)
        {

        }

        private void dtgPersons_ColumnSorted(object sender, SortedColumnEventArgs e)
        {
            _selectedRows.Clear();
            foreach (var row in dtgPersons.SelectionSettings.SelectedRows)
            {
                _selectedRows.Add(row);
            }
        }

        private void dtgPersons_SelectedRowsCollectionChanged(object sender, SelectionCollectionChangedEventArgs<SelectedRowsCollection> e)
        {

        }

        private void dtgPersons_CellControlAttached(object sender, CellControlAttachedEventArgs e)
        {
            foreach (var row in _selectedRows)
            {
                Cell cell = (Cell)((Infragistics.Controls.Grids.RowBase)(row)).Cells[0];
                foreach (var row2 in dtgPersons.Rows)
                {
                    if (row2 is GroupByRow)
                    {
                        foreach (var row3 in ((GroupByRow)row2).Rows)
                        {
                            if (row.Cells["name"].Value == row3.Cells["name"].Value)
                            {
                                dtgPersons.SelectionSettings.SelectedRows.Add(row3);
                                break;
                            }
                        }
                    }
                }
            }
        }
    }
}
